grk::UUIDBox Struct Reference

`#include <FileFormat.h>`

Inheritance diagram for grk::UUIDBox:

## Public Member Functions

| UUIDBox ()
| UUIDBox (const uint8_t myuuid[16], uint8_t *buf, size_t size)
Public Member Functions inherited from grk::FileFormatBox
| FileFormatBox ()
Public Member Functions inherited from grk::grk_buf< uint8_t, AllocatorVanilla >
| grk_buf (uint8_t *buffer, size_t off, size_t length, bool ownsData)
| grk_buf (uint8_t *buffer, size_t length)
| grk_buf ()
| grk_buf (uint8_t *buffer, size_t length, bool ownsData)
| grk_buf (const grk_buf &rhs)
virtual | ~grk_buf ()
grk_buf & | operator= (const grk_buf &rhs)
grk_buf & | operator= (const grk_buf *rhs)
bool | canRead (void)
uint8_t | read (void)
bool | write (uint8_t val)
bool | write (uint8_t *b, size_t size)
virtual bool | alloc (size_t length)
virtual void | dealloc ()
void | attach (uint8_t *buffer)
void | acquire (uint8_t *buffer)
void | transfer (uint8_t **buffer)
size_t | remainingLength (void)
void | incrementOffset (ptrdiff_t off)
uint8_t * | currPtr (void) const

## Public Attributes

uint8_t | uuid [16]
Public Attributes inherited from grk::FileFormatBox
uint64_t | length
uint32_t | type
Public Attributes inherited from grk::grk_buf< uint8_t, AllocatorVanilla >
uint8_t * | buf
size_t | offset
size_t | len
bool | owns_data

## Constructor & Destructor Documentation

## UUIDBox() [1/2]

grk::UUIDBox::UUIDBox | ( |  | ) |

inline

References grk::grk_read(), and uuid.

## UUIDBox() [2/2]

grk::UUIDBox::UUIDBox | ( | const uint8_t | myuuid[16],
|  | uint8_t * | buf,
|  | size_t | size
| ) |  |

inline

References grk::grk_read(), and uuid.

## Member Data Documentation

## uuid

uint8_t grk::UUIDBox::uuid[16]

Referenced by UUIDBox(), and UUIDBox().

The documentation for this struct was generated from the following file:

- FileFormat.h